Loading...
Searching...
No Matches
gx_system::PresetTransformer Class Reference

`#include <gx_json.h>`

Inheritance diagram for gx_system::PresetTransformer:

## Public Member Functions

void | close ()
void | close_nocheck ()
void | abort ()
| PresetTransformer (string filename, istream *is)
| ~PresetTransformer ()
Public Member Functions inherited from gx_system::JsonWriter
| JsonWriter (ostream *o=0, bool enable_newlines=true)
virtual | ~JsonWriter ()
void | reset ()
void | set_stream (ostream *o)
bool | good ()
void | flush ()
bool | is_closed ()
void | write (float v, bool nl=false)
void | write (double v, bool nl=false)
void | write (int i, bool nl=false)
void | write (unsigned int i, bool nl=false)
void | write (const char *p, bool nl=false)
void | write (const string &s, bool nl=false)
void | write_kv (const char *key, float v)
void | write_kv (const char *key, double v)
void | write_kv (const char *key, int i)
void | write_kv (const char *key, unsigned int i)
void | write_kv (const char *key, const char *p)
void | write_kv (const char *key, const std::string &s)
void | write_lit (const string &s, bool nl=false)
void | begin_object (bool nl=false)
void | end_object (bool nl=false)
void | begin_array (bool nl=false)
void | end_array (bool nl=false)
void | write_key (const char *p, bool nl=false)
void | write_key (const string &p, bool nl=false)
void | write_null (bool nl=false)
void | newline ()

## Public Attributes

JsonParser | jp
SettingsFileHeader | header

## Protected Attributes

istream * | is

## Private Attributes

string | filename
string | tmpfile
ofstream | os

## Detailed Description

Definition at line 274 of file gx_json.h.

## Constructor & Destructor Documentation

## PresetTransformer()

gx_system::PresetTransformer::PresetTransformer | ( | string | filename,
|  | istream * | is )

## ~PresetTransformer()

gx_system::PresetTransformer::~PresetTransformer | ( |  | ) |

## Member Function Documentation

## abort()

void gx_system::PresetTransformer::abort | ( |  | ) |

## close()

void gx_system::PresetTransformer::close | ( |  | ) |

virtual

Reimplemented from gx_system::JsonWriter.

## close_nocheck()

void gx_system::PresetTransformer::close_nocheck | ( |  | ) |

## Member Data Documentation

## filename

string gx_system::PresetTransformer::filename

private

Definition at line 276 of file gx_json.h.

Referenced by PresetTransformer().

## header

SettingsFileHeader gx_system::PresetTransformer::header

Definition at line 283 of file gx_json.h.

## is

istream* gx_system::PresetTransformer::is

protected

Definition at line 280 of file gx_json.h.

Referenced by PresetTransformer().

## jp

JsonParser gx_system::PresetTransformer::jp

Definition at line 282 of file gx_json.h.

## os

ofstream gx_system::PresetTransformer::os

private

Definition at line 278 of file gx_json.h.

## tmpfile

string gx_system::PresetTransformer::tmpfile

private

Definition at line 277 of file gx_json.h.

The documentation for this class was generated from the following file:

- src/headers/gx_json.h